|docs
Start Trial

Get the Service Orchestration for a Service

Get a Service Orchestration.

A Service Orchestration allows you to create a set of Event Rules. The Service Orchestration evaluates Events sent to this Service against each of its rules, beginning with the rules in the "start" set. When a matching rule is found, it can modify and enhance the event and can route the event to another set of rules within this Service Orchestration for further processing.

For more information see the API Concepts Document

Scoped OAuth requires: services.read

Authorization<token>

The API Key with format Token token=<API_KEY>

In: header

Path Parameters

service_id*string

The service ID

Query Parameters

include[]?"migrated_metadata"

Array of additional Models to include in response.

Value in

  • "migrated_metadata"

Header Parameters

Accept*string

The Accept header is used as a versioning header.

Default"application/vnd.pagerduty+json;version=2"
Content-Type*"application/json"
Default"application/json"

Value in

  • "application/json"

Response Body

application/json

application/json

application/json

application/json

application/json

Get the Router for an Event Orchestration GET

Get a Global Orchestration's Routing Rules. An Orchestration Router allows you to create a set of Event Rules. The Router evaluates Events you send to this Global Orchestration against each of its rules, one at a time, and routes the event to a specific Service based on the first rule that matches. If an event doesn't match any rules, it'll be sent to service specified in as the `catch_all` or the "Unrouted" Orchestration if no service is specified. For more information see the [API Concepts Document](https://developer.pagerduty.com/api-reference/a47605517c19a-api-concepts#event-orchestrations) Scoped OAuth requires: `event_orchestrations.read`

Get the Unrouted Orchestration for an Event Orchestration GET

Get a Global Event Orchestration's Rules for Unrouted events. An Unrouted Orchestration allows you to create a set of Event Rules that will be evaluated against all events that don't match any rules in the Global Orchestration's Router. Events that reach the Unrouted Orchestration will never be routed to a specific Service. The Unrouted Orchestration evaluates Events sent to it against each of its rules, beginning with the rules in the "start" set. When a matching rule is found, it can modify and enhance the event and can route the event to another set of rules within this Unrouted Orchestration for further processing. For more information see the [API Concepts Document](https://developer.pagerduty.com/api-reference/a47605517c19a-api-concepts#event-orchestrations) Scoped OAuth requires: `event_orchestrations.read`